%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-ansi-styles
Version:    2.1.0
Release:    2%{?dist}
Summary:    ANSI escape codes for colorizing strings in the terminal
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/sindresorhus/ansi-styles
Source0:    http://registry.npmjs.org/ansi-styles/-/ansi-styles-%{version}.tgz
Source1:    https://raw.githubusercontent.com/chalk/ansi-styles/18421cbe4a2d93359ec2599a894f704be126d066/test.js

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(chalk)
%endif

%description
%{summary}.


%prep
%setup -q -n package
cp -p %{SOURCE1} .


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/ansi-styles
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/ansi-styles

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
ln -s %{nodejs_sitelib}/chalk node_modules/chalk
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc readme.md
%license
%{nodejs_sitelib}/ansi-styles


%changelog
* Wed Oct 28 2015 Jared Smith <jsmith@fedoraproject.org> - 2.1.0-2
- Update to upstream 2.1.0 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 13 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.0-1
- initial package
